//
//  TVButton.h
//  tater_salad
//
//  Created by decaf on 11/17/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/* 
	PXIPart is our foundational class for screen objects. Think of it
	as REALbasic's RectControl, only smaller and more poorly designed.
 */
 
@interface PXIPart : NSObject {
	NSMutableString * partName; // Object name
	NSRect boundBox; // Object rect
	
	bool enabled;
	bool visible;
	int textalign;
	int type;
}

- (id)initWithName: (NSString*)part_name left:(int)x top:(int)y width:(int)w height:(int)h;

- (void)setPartName: (NSString*)s;

- (NSString*)getPartName;

- (void)setBoundingBox: (NSRect)r;

- (NSRect)getBoundingBox;

- (void)setPartEnabled: (bool)b;

- (bool)getPartEnabled;

- (void)setPartVisible: (bool)b;

- (bool)getPartVisible;

- (void)setPartType: (int)t;

- (bool)getPartType;

- (void)drawMe;

- (void)setTextAlign: (int)i;

- (int)getTextAlign;

@end
